Login
[x]
Log in using an account from:
Fedora Account System
Red Hat Associate
Red Hat Customer
Or login using a Red Hat Bugzilla account
Forgot Password
Login:
Hide Forgot
Create an Account
Red Hat Bugzilla – Attachment 161110 Details for
Bug 250919
IPV6_PRIVACY=rfc3041 in /etc/sysconfig/networking/devices/ifcfg-eth0 does not take effect
[?]
New
Simple Search
Advanced Search
My Links
Browse
Requests
Reports
Current State
Search
Tabular reports
Graphical reports
Duplicates
Other Reports
User Changes
Plotly Reports
Bug Status
Bug Severity
Non-Defaults
|
Product Dashboard
Help
Page Help!
Bug Writing Guidelines
What's new
Browser Support Policy
5.0.4.rh83 Release notes
FAQ
Guides index
User guide
Web Services
Contact
Legal
This site requires JavaScript to be enabled to function correctly, please enable it.
[patch]
Updated patch for ifup-ipv6
ifup-ipv6.privacy+autoconf.diff (text/plain), 6.15 KB, created by
Peter Bieringer
on 2007-08-11 09:24:13 UTC
(
hide
)
Description:
Updated patch for ifup-ipv6
Filename:
MIME Type:
Creator:
Peter Bieringer
Created:
2007-08-11 09:24:13 UTC
Size:
6.15 KB
patch
obsolete
>--- rh-initscripts-cvs/initscripts/sysconfig/network-scripts/ifup-ipv6 2007-08-05 15:28:32.000000000 +0200 >+++ initscripts-ipv6/common.stripped/etc/sysconfig/network-scripts/ifup-ipv6 2007-08-11 11:20:29.000000000 +0200 >@@ -4,25 +4,27 @@ > # > # > # Taken from: >-# (P) & (C) 2000-2006 by Peter Bieringer <pb@bieringer.de> >+# (P) & (C) 2000-2007 by Peter Bieringer <pb@bieringer.de> > # > # You will find more information on the initscripts-ipv6 homepage at > # http://www.deepspace6.net/projects/initscripts-ipv6.html > # > # RHL integration assistance by Pekka Savola <pekkas@netcore.fi> > # >-# Version: 2006-07-20 >+# Version: 2007-08-11 > # > # Note: if called (like normally) by /etc/sysconfig/network-scripts/ifup > # exit codes aren't handled by "ifup" > # > # Uses following information from "/etc/sysconfig/network": >+# NETWORKING_IPV6=yes|no: controls IPv6 initialization (global setting) > # IPV6_DEFAULTDEV=<device>: controls default route (optional) > # IPV6_DEFAULTGW=<address>: controls default route (optional) > # > # Uses following information from "/etc/sysconfig/network-scripts/ifcfg-$1": > # IPV6INIT=yes|no: controls IPv6 configuration for this interface > # IPV6ADDR=<IPv6 address>[/<prefix length>]: specify primary static IPv6 address >+# if given, automatic generation of IPv6 address depending on received RA is disabled > # IPV6ADDR_SECONDARIES="<IPv6 address>[/<prefix length>] ..." (optional) > # IPV6_ROUTER=yes|no: controls IPv6 autoconfiguration (no: multi-homed interface without routing) > # IPV6_AUTOCONF=yes|no: controls IPv6 autoconfiguration >@@ -30,8 +32,8 @@ > # IPV6FORWARDING=yes: IPV6_AUTOCONF=no, IPV6_ROUTER=yes > # IPV6FORWARDING=no: IPV6_AUTOCONF=yes > # IPV6_MTU=<MTU for IPv6>: controls IPv6 MTU for this link (optional) >-# IPV6_PRIVACY="rfc3041": control IPv6 privacy (optional) >-# This script only supports "rfc3041" (if kernel supports it) >+# IPV6_PRIVACY="rfc3041|yes": control IPv6 privacy (optional) >+# This script only supports "rfc3041" (if kernel supports it), "yes" is an alias for "rfc3041" > # > # Optional for 6to4 tunneling (hardwired name of tunnel device is "tun6to4"): > # IPV6TO4INIT=yes|no: controls 6to4 tunneling setup >@@ -69,6 +71,9 @@ > # Test whether IPv6 configuration is enabled for this interface, else stop > [ "$IPV6INIT" = "yes" ] || exit 0 > >+# Test whether IPv6 should be configured, else stop >+[ "${NETWORKING_IPV6}" = "yes" ] || exit 0 >+ > [ -f /etc/sysconfig/network-scripts/network-functions-ipv6 ] || exit 1 > . /etc/sysconfig/network-scripts/network-functions-ipv6 > >@@ -83,6 +88,58 @@ > exit 1 > fi > >+# Called by pre-interface-up? >+if [ "$2" = "pre-interface-up" ]; then >+ # Check for parallel execution >+ if [ -f /var/lock/ipv6.lock ]; then >+ . /var/lock/ipv6.lock >+ if /bin/ps -p $IPV6_LOCK_PPID >/dev/null 2>&1; then >+ echo $"IPv6 lock file exists, other process (PID=$IPV6_LOCK_PPID) is running, wait" >+ i=60 >+ while [ -f /var/lock/ipv6.lock -a $i -gt 0 ]; do >+ i=$[ $i - 1 ] >+ sleep 1 >+ done >+ if [ $i -eq 0 ]; then >+ echo $"IPv6 lock file exists longer than 60s, other process is still running, exit" >+ exit 1 >+ fi >+ else >+ # lock file is stale >+ echo $"IPv6 lock file exists, but is stale, remove it" >+ rm -f /var/lock/ipv6.lock >+ fi >+ fi >+ >+ # Save default values for later restore >+ sysctl_ipv6_conf_default_usetempaddr="`ipv6_exec_sysctl net.ipv6.conf.default.use_tempaddr | awk '{ print $3 }'`" >+ sysctl_ipv6_conf_default_autoconf="`ipv6_exec_sysctl net.ipv6.conf.default.autoconf | awk '{ print $3 }'`" >+ echo "IPV6_LOCK_PPID=$PPID" >/var/lock/ipv6.lock >+ echo "IPV6_LOCK_DEVICE=$DEVICE" >>/var/lock/ipv6.lock >+ echo "IPV6_LOCK_SYSCTL_IPV6_CONF_DEFAULT_USETEMPADDR=$sysctl_ipv6_conf_default_usetempaddr" >>/var/lock/ipv6.lock >+ echo "IPV6_LOCK_SYSCTL_IPV6_CONF_DEFAULT_AUTOCONF=$sysctl_ipv6_conf_default_autoconf" >>/var/lock/ipv6.lock >+ >+ # Enable IPv6 RFC3041 privacy extensions if desired >+ if [ "$IPV6_PRIVACY" = "rfc3041" -o "$IPV6_PRIVACY" = "yes" ]; then >+ ipv6_exec_sysctl -w net.ipv6.conf.default.use_tempaddr=2 >/dev/null 2>&1 >+ else >+ ipv6_exec_sysctl -w net.ipv6.conf.default.use_tempaddr=0 >/dev/null 2>&1 >+ fi >+ if [ $? -ne 0 ]; then >+ echo $"Cannot configure IPv6 privacy method, not supported by kernel" >+ fi >+ >+ # Disable IPv6 autoconf, if static IPv6 address if given >+ if [ -n "$IPV6ADDR" ]; then >+ ipv6_exec_sysctl -w net.ipv6.conf.default.autoconf=0 >/dev/null 2>&1 >+ else >+ ipv6_exec_sysctl -w net.ipv6.conf.default.autoconf=1 >/dev/null 2>&1 >+ fi >+ >+ # exit from pre-interface-up >+ exit >+fi >+ > # Setup IPv6 address on specified interface > if [ -n "$IPV6ADDR" ]; then > ipv6_add_addr_on_device $DEVICE $IPV6ADDR || exit 1 >@@ -140,11 +197,38 @@ > done > fi > >-# Enable IPv6 RFC3041 privacy extensions if desired >-if [ "$IPV6_PRIVACY" = "rfc3041" ]; then >- ipv6_exec_sysctl -w net.ipv6.conf.$DEVICE.use_tempaddr=2 >/dev/null 2>&1 >- if [ $? -ne 0 ]; then >- echo $"Cannot enable IPv6 privacy method '$IPV6_PRIVACY', not supported by kernel" >+# Check lock file >+if [ -f /var/lock/ipv6.lock ]; then >+ . /var/lock/ipv6.lock >+ if [ "$DEVICE" = "$IPV6_LOCK_DEVICE" ]; then >+ # Remove lock file >+ rm -f /var/lock/ipv6.lock >+ >+ # Enable IPv6 RFC3041 privacy extensions if desired >+ if [ "$IPV6_PRIVACY" = "rfc3041" -o "$IPV6_PRIVACY" = "yes" ]; then >+ ipv6_exec_sysctl -w net.ipv6.conf.$DEVICE.use_tempaddr=2 >/dev/null 2>&1 >+ else >+ ipv6_exec_sysctl -w net.ipv6.conf.$DEVICE.use_tempaddr=0 >/dev/null 2>&1 >+ fi >+ if [ $? -ne 0 ]; then >+ echo $"Cannot enable IPv6 privacy method '$IPV6_PRIVACY', not supported by kernel" >+ fi >+ >+ if [ -n "$IPV6ADDR" ]; then >+ ipv6_exec_sysctl -w net.ipv6.conf.$DEVICE.autoconf=0 >/dev/null 2>&1 >+ else >+ ipv6_exec_sysctl -w net.ipv6.conf.$DEVICE.autoconf=1 >/dev/null 2>&1 >+ fi >+ >+ # Restore default values >+ if [ -n "$IPV6_LOCK_SYSCTL_IPV6_CONF_DEFAULT_USETEMPADDR" ]; then >+ ipv6_exec_sysctl -w net.ipv6.conf.default.use_tempaddr=$IPV6_LOCK_SYSCTL_IPV6_CONF_DEFAULT_USETEMPADDR >/dev/null 2>&1 >+ fi >+ if [ -n "$IPV6_LOCK_SYSCTL_IPV6_CONF_DEFAULT_AUTOCONF" ]; then >+ ipv6_exec_sysctl -w net.ipv6.conf.default.autoconf=$IPV6_LOCK_SYSCTL_IPV6_CONF_DEFAULT_AUTOCONF >/dev/null 2>&1 >+ fi >+ else >+ echo $"IPv6 lock file is not matching, skip restore of default value" > fi > fi >
You cannot view the attachment while viewing its details because your browser does not support IFRAMEs.
View the attachment on a separate page
.
View Attachment As Diff
View Attachment As Raw
Actions:
View
|
Diff
Attachments on
bug 250919
:
160712
|
160714
|
160799
|
160800
|
161110
|
161111
|
495410